ccaudio-config(1)

NAME
ccaudio-config - script to get information about ccaudio library

SYNOPSIS
ccaudio-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--cflags] [--libs]

DESCRIPTION
ccaudio-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use the ccaudio library. Note: ccaudio-config is provided for compatibility with legacy software only. Current projects should use pkg-config instead!

OPTIONS

--version
    Print the currently installed version of ccaudio on the standard output.

--libs
    Print the linker flags that are necessary to link a program with ccaudio.

--cflags
    Print the compiler flags that are necessary to compile a program with ccaudio.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that ccaudio was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that ccaudio was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

SEE ALSO
pkg-config(1).

AUTHOR
ccaudio-config was written by David Sugar <dyfet@gnutelephony.org>.

COPYRIGHT
Copyright © 2009 David Sugar, Tycho Softworks.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.